Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkitlo2019-04-04 01:11:22 +0000
committerkitlo2019-04-04 01:17:51 +0000
commit986ec84a49185258bc7868c7867b358504024264 (patch)
tree1652d4985b8d9a9e1e5bb23cb59ecbcf9d8a1ded /cje-production
parent56ddf765f2ff2b202ff9d883de14989b71d83d05 (diff)
downloadeclipse.platform.releng.aggregator-986ec84a49185258bc7868c7867b358504024264.tar.gz
eclipse.platform.releng.aggregator-986ec84a49185258bc7868c7867b358504024264.tar.xz
eclipse.platform.releng.aggregator-986ec84a49185258bc7868c7867b358504024264.zip
Bug 546098 - Create new scripts to generate repository reports
Change-Id: I671da4241eb6f3a105f0a48b0c8dfe381539b9ba Signed-off-by: kitlo <kitlo@us.ibm.com>
Diffstat (limited to 'cje-production')
-rw-r--r--cje-production/buildproperties.txt1
-rwxr-xr-xcje-production/mbscripts/mb030_downloadBuildToCompare.sh28
-rwxr-xr-xcje-production/mbscripts/mb500_createRepoReports.sh39
3 files changed, 68 insertions, 0 deletions
diff --git a/cje-production/buildproperties.txt b/cje-production/buildproperties.txt
index 28f243ca1..5aef6b67e 100644
--- a/cje-production/buildproperties.txt
+++ b/cje-production/buildproperties.txt
@@ -25,6 +25,7 @@ AGG_REPO="/platform/eclipse.platform.releng.aggregator.git"
AGG_DIR="gitCache/eclipse.platform.releng.aggregator"
DROP_DIR="siteDir/eclipse/downloads/drops4"
TMP_DIR="tmp"
+BUILD_TO_COMPARE_SITE="ftp.osuosl.org/pub/eclipse/eclipse/updates"
# Base builder parameters
PREVIOUS_RELEASE_ID="R-4.11-201903070500"
diff --git a/cje-production/mbscripts/mb030_downloadBuildToCompare.sh b/cje-production/mbscripts/mb030_downloadBuildToCompare.sh
new file mode 100755
index 000000000..3dbb8a5c9
--- /dev/null
+++ b/cje-production/mbscripts/mb030_downloadBuildToCompare.sh
@@ -0,0 +1,28 @@
+#!/bin/bash -x
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Kit Lo - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $CJE_ROOT/scripts/common-functions.shsource
+source $1
+
+mkdir -p $CJE_ROOT/$TMP_DIR
+pushd $CJE_ROOT/$TMP_DIR
+wget --recursive --no-parent --no-verbose http://$BUILD_TO_COMPARE_SITE/$PREVIOUS_RELEASE_VER/$PREVIOUS_RELEASE_ID
+popd \ No newline at end of file
diff --git a/cje-production/mbscripts/mb500_createRepoReports.sh b/cje-production/mbscripts/mb500_createRepoReports.sh
new file mode 100755
index 000000000..dde770dd8
--- /dev/null
+++ b/cje-production/mbscripts/mb500_createRepoReports.sh
@@ -0,0 +1,39 @@
+#!/bin/bash -x
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Kit Lo - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $CJE_ROOT/scripts/common-functions.shsource
+source $1
+
+buildToTest=$CJE_ROOT/$DROP_DIR/$BUILD_ID/repository
+output_dir=$CJE_ROOT/$DROP_DIR/$BUILD_ID/buildlogs
+tar_name=org.eclipse.cbi.p2repo.analyzers.product-linux.gtk.x86_64.tar.gz
+report_app_dir=$CJE_ROOT/$DROP_DIR/$BUILD_ID/reportApplication
+
+wget --no-proxy --no-verbose --no-cache -O $CJE_ROOT/$TMP_DIR/$tar_name https://ci.eclipse.org/cbi/job/cbi.p2repo.analyzers_cleanAndDeploy/lastSuccessfulBuild/artifact/output/products/$tar_name
+
+mkdir -p $report_app_dir
+tar -xf $CJE_ROOT/$TMP_DIR/$tar_name -C $report_app_dir
+
+mkdir -p $output_dir
+$report_app_dir/p2analyze/p2analyze -data $output_dir/workspace-report -vm $JAVA_HOME/bin -vmargs -Xmx1g \
+ -DreferenceRepo=$CJE_ROOT/$TMP_DIR/$BUILD_TO_COMPARE_SITE/$PREVIOUS_RELEASE_VER/$PREVIOUS_RELEASE_ID \
+ -DreportRepoDir=$buildToTest \
+ -DreportOutputDir=$output_dir \ No newline at end of file

Back to the top